Subject: Re: bug#20920: Show example for GuixSD config.scm

From: [email-masked] (Ludovic Courtès)
Date: Mon, 29 Jun 2015 10:46:24 +0200

Hello,

Evan Rowley <[email-masked]> skribis:

> I'm very interested in running a GuixSD system. I'm currently setting
> one up now, and am hoping someone here would be kind enough to share
> their /etc/config.scm with me. Particularly, I'm looking for examples
> of how a system with multiple partitions would be defined in the
> config.scm file.
>
> My Partitions
> 1. bios_grub 10M
> 2. /boot 500M
> 3. /swap 16.5G
> 4. /root 50G
> 5. /usr 50G
> 6. /var 50G
> 7. /home 50G

I’m using a separate encrypted /home and a swap partition, so the
declaration looks like this:

--8<---------------cut here---------------start------------->8---
(operating-system
  (host-name "pluto")
  (timezone "Europe/Paris")
  (locale "en_US.utf8")

  (bootloader (grub-configuration
               (device "/dev/sda")))

  (mapped-devices (list (mapped-device
                         (source "/dev/sda3")
                         (target "home")
                         (type luks-device-mapping))))

  (file-systems (cons* (file-system
                         (device "root")
                         (title 'label)
                         (mount-point "/")
                         (type "ext3"))
                       (file-system
                         (device "/dev/mapper/home")
                         (mount-point "/home")
                         (type "ext3"))
                       %base-file-systems))

  (swap-devices '("/dev/sda4"))                   ;XXX: LABEL=swap

  ;; ...
  )
--8<---------------cut here---------------end--------------->8---

Normally you just need to add extra ‘file-system’ declarations for /var
and /boot in there, and you’re done.

/usr doesn’t make sense on GuixSD because that directory is not used at
all.

HTH,
Ludo’.

PS: Please use [email-masked] for discussions; [email-masked] goes
    to the bug tracker at <http://bugs.gnu.org/guix>.